{% extends 'base.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}
{% import 'macro/_sitting_tabs.html.twig' as macroTab %}
{% import 'macro/_sitting_nav.html.twig' as macroNav %}


{% block body %}

    <div class="col-12">
        {{ breadcrumbs() }}
    </div>



    <div class="mt-3 col-12">
        {{ include('include/flash.html.twig') }}
        <div class="d-flex align-items-center">
            <h1 class="flex-grow-1">{{ title }}</h1>
            {{ macroNav.toogleView( path('sitting_show_information', {'id': sitting.id}) , 'edit') }}
        </div>

        <div class="mt-4">
            {{ macro.backButton('sitting_index', {'status' : 'active'}) }}
        </div>

    </div>

    <div class="col-12">
        <div class="mt-4">
            <div class="col-11 px-3  form-white">
                {{ macroTab.editTabs('information', sitting) }}

                {{ form_start(form) }}
                {{ form_widget(form) }}
                <div class="float-end mt-5">
                    <a href="{{ path( 'edit_sitting_information_cancel', {'id': sitting.id} ) }}" class="btn btn-link">
                        <span class="fa fa-times"></span> Annuler les modifications</a>

                    <button class="btn btn-primary" type="submit">
                        <span class="fa fa-save"></span>
                        Enregistrer les modifications
                    </button>


                </div>
                {{ form_end(form) }}


            </div>
        </div>

        &nbsp
        <div class="col-11 offset-1">
            {% block bottomPage %}{% endblock %}
        </div>

    </div>

    {{ include('include/_modal_confirm_not_save.html.twig') }}

{% endblock %}


{% block javascripts %}
    {{ encore_entry_script_tags('vue-edit-informations') }}
    {{ encore_entry_script_tags('toggle-calendar-new-sitting') }}
{% endblock %}


